org.apache.sysds.runtime.lineage

## Class LineageDedupBlock

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageDedupBlock

-     public class LineageDedupBlock
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineageDedupBlock()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LineageMap` | `getActiveMap()`
    `LineageMap` | `getMap(Long path)`
    `long` | `getPath()`
    `Map<Long,LineageMap>` | `getPathMaps()`
    `boolean` | `isAllPathsTaken()`
    `boolean` | `pathExists(Long path)`
    `void` | `resetPath()`
    `void` | `setMap(Long takenPath, LineageMap tracedMap)`
    `void` | `setNumPathsInPBs(ArrayList<ProgramBlock> pbs, ExecutionContext ec)`
    `void` | `setPathBranch(int pos, boolean value)`
    `void` | `traceBasicProgramBlock(BasicProgramBlock bpb, ExecutionContext ec, Collection<Map.Entry<Long,LineageMap>> paths)`
    `void` | `traceIfProgramBlock(IfProgramBlock ipb, ExecutionContext ec, Collection<Map.Entry<Long,LineageMap>> paths)`
    `void` | `traceProgramBlock(ProgramBlock pb, ExecutionContext ec, Collection<Map.Entry<Long,LineageMap>> paths)`
    `void` | `traceProgramBlocks(ArrayList<ProgramBlock> pbs, ExecutionContext ec)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineageDedupBlock

          public LineageDedupBlock()

  - ### Method Detail

    - #### getActiveMap

          public LineageMap getActiveMap()

    - #### getMap

          public LineageMap getMap(Long path)

    - #### getPathMaps

          public Map<Long,LineageMap> getPathMaps()

    - #### setMap

          public void setMap(Long takenPath,
                             LineageMap tracedMap)

    - #### pathExists

          public boolean pathExists(Long path)

    - #### resetPath

          public void resetPath()

    - #### setPathBranch

          public void setPathBranch(int pos,
                                    boolean value)

    - #### getPath

          public long getPath()

    - #### isAllPathsTaken

          public boolean isAllPathsTaken()

    - #### traceProgramBlocks

          public void traceProgramBlocks(ArrayList<ProgramBlock> pbs,
                                         ExecutionContext ec)

    - #### traceProgramBlock

          public void traceProgramBlock(ProgramBlock pb,
                                        ExecutionContext ec,
                                        Collection<Map.Entry<Long,LineageMap>> paths)

    - #### traceIfProgramBlock

          public void traceIfProgramBlock(IfProgramBlock ipb,
                                          ExecutionContext ec,
                                          Collection<Map.Entry<Long,LineageMap>> paths)

    - #### traceBasicProgramBlock

          public void traceBasicProgramBlock(BasicProgramBlock bpb,
                                             ExecutionContext ec,
                                             Collection<Map.Entry<Long,LineageMap>> paths)

    - #### setNumPathsInPBs

          public void setNumPathsInPBs(ArrayList<ProgramBlock> pbs,
                                       ExecutionContext ec)

Copyright © 2020 The Apache Software Foundation. All rights reserved.